<script>
  import { fade } from "svelte/transition";

  let formData = {
    target: "wildwoodhealth.com",
    form_id: 12
  };

  async function subscribe(event) {
    event.preventDefault();

    // Reset state
    message = "";
    error = false;
    loading = true;

    const inputs = this.querySelectorAll("input");
    inputs.forEach(i => (i.disabled = true));

    try {
      let response = await fetch("https://api.wildwoodhealth.org/frm/entries", {
        method: "POST",
        headers: { "Content-Type": "application/json" },
        body: JSON.stringify(formData)
      });

      let success = await response.json();

      if (success) {
        message = "Thank you for your submission!";
        loading = false;
        show_form = false;
        return false;
      }

      throw success;
    } catch (err) {
      error = true;
      loading = false;
      message =
        "There was an error submitting your request. Please try again later.";
      console.error(err);
      inputs.forEach(i => (i.disabled = false));
    }

    return false;
  }

  let loading;
  let error = false;
  let message;
  let show_form = true;
</script>

<style>
  footer {
    padding: 100px 40px 40px;
    background: #0e092b;
    text-align: center;
    color: #fff;
  }

  .top {
    font-family: "Avenir", sans-serif;
    font-size: 57px;
    font-weight: 400;
  }

  .bottom {
    display: inline-block;
    max-width: 940px;
    font-family: "Lato", sans-serif;
    font-size: 100px;
  }

  p {
    max-width: 530px;
    margin: 0 auto 20px;
  }

  .form_message {
    padding: 7px 10px;
    border-radius: 3px;
    background: #fff6;
  }

  .form_message.error {
    background: #ff1a1aba;
  }

  form {
    position: relative;
    max-width: 350px;
    margin: 10px auto 0;
  }

  .spinner {
    position: absolute;
    right: 0;
    bottom: 0;
    width: 60px;
    height: 60px;
    transform: translate(100%, 10px);
  }

  input {
    display: block;
    width: 100%;
    padding: 7px 10px;
    margin: 0 0 15px;
    background: transparent;
    color: inherit;
  }

  label {
    cursor: pointer;
  }

  input[type="submit"] {
    background: #d6ff00;
    color: #0e092b;
    padding: 10px;
    border: none;
    margin-bottom: 0;
    cursor: pointer;
  }

  .grid {
    display: grid;
    grid-template-columns: auto 1fr;
    grid-gap: 5px 20px;
    margin-bottom: 20px;
    text-align: left;
  }

  .grid input {
    margin: 0;
  }

  .logo {
    max-width: 264px;
    margin: 60px auto;
  }

  .info .title {
    font-weight: 700;
  }

  .info p {
    margin: 0 auto;
    line-height: 1.4em;
  }

  a {
    color: inherit;
  }

  @media (max-width: 675px) {
    .top {
      font-size: 7vw;
    }
    .bottom {
      font-size: 18vw;
    }
  }
</style>

<footer id="footer">
  <h2>
    <span class="top">Fight Coronavirus</span>
    <br />
    <span class="bottom">Get 10% Off Immune Boosting Program</span>
  </h2>
  <p>
    The coronavirus is a real threat, but we are here to help! Fill out your
    name and email address below and we’ll send you a coupon for 10% off our
    immune boosting 11-day residential program. You don’t want to miss this!
  </p>
  <p style="font-size:small">
    *This coupon is only valid for programs we run in July, 2020.
  </p>

  {#if message}
    <p transition:fade class="form_message" class:error>{message}</p>
  {/if}

  {#if show_form}
    <form transition:fade action="post.php" on:submit={subscribe}>
      <input
        bind:value={formData['252']}
        type="text"
        name="252"
        placeholder="Name*"
        autocomplete="off"
        autocorrect="off"
        required />
      <input
        bind:value={formData['253']}
        type="email"
        name="253"
        placeholder="Email*"
        autocomplete="off"
        autocorrect="off"
        required />
      <div class="grid">
        <input
          id="coupon_input"
          bind:checked={formData['255']}
          type="checkbox"
          name="255" />
        <label for="coupon_input">Get 10% off</label>
        <input
          id="subscribe_input"
          bind:checked={formData.subscribe}
          type="checkbox"
          name="256" />
        <label for="subscribe_input">
          Subscribe to get notified of new video uploads
        </label>
      </div>
      <input type="submit" value="Submit" />
      {#if loading}
        <img class="spinner" src="img/spinner.gif" alt="" />
      {/if}
    </form>
  {/if}

  <img src="img/logo-light.svg" alt="" class="logo" />
  <div class="info">
    <p class="title">For more info:</p>
    <p>
      <a href="tel:+17068201252">(706) 820-1252</a>
    </p>
    <p>
      <a
        href="https://g.page/wildwood-lifestyle-center?share"
        target="_blank"
        rel="noopener noreferrer">
        435 Lifestyle Ln, Wildwood GA 30757
      </a>
    </p>
  </div>
</footer>
